Element (xmlbeans API)

org.apache.xmlbeans.impl.xb.xsdschema

## Interface Element

- All Superinterfaces:
    Annotated, OpenAttrs, XmlObject, XmlTokenSource
  All Known Subinterfaces:
    LocalElement, NarrowMaxMin, TopLevelElement
  All Known Implementing Classes:
    ElementImpl, LocalElementImpl, NarrowMaxMinImpl, TopLevelElementImpl

      public interface Element
      extends Annotated

  An XML element(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AbstractDocumentFactory<Element>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `LocalComplexType` | `addNewComplexType()` Appends and returns a new empty "complexType" element
    `Keybase` | `addNewKey()` Appends and returns a new empty value (as xml) as the last "key" element
    `KeyrefDocument.Keyref` | `addNewKeyref()` Appends and returns a new empty value (as xml) as the last "keyref" element
    `LocalSimpleType` | `addNewSimpleType()` Appends and returns a new empty "simpleType" element
    `Keybase` | `addNewUnique()` Appends and returns a new empty value (as xml) as the last "unique" element
    `boolean` | `getAbstract()` Gets the "abstract" attribute
    `Object` | `getBlock()` Gets the "block" attribute
    `LocalComplexType` | `getComplexType()` Gets the "complexType" element
    `String` | `getDefault()` Gets the "default" attribute
    `Object` | `getFinal()` Gets the "final" attribute
    `String` | `getFixed()` Gets the "fixed" attribute
    `FormChoice.Enum` | `getForm()` Gets the "form" attribute
    `Keybase[]` | `getKeyArray()` Gets array of all "key" elements
    `Keybase` | `getKeyArray(int i)` Gets ith "key" element
    `List<Keybase>` | `getKeyList()` Gets a List of "key" elements
    `KeyrefDocument.Keyref[]` | `getKeyrefArray()` Gets array of all "keyref" elements
    `KeyrefDocument.Keyref` | `getKeyrefArray(int i)` Gets ith "keyref" element
    `List<KeyrefDocument.Keyref>` | `getKeyrefList()` Gets a List of "keyref" elements
    `Object` | `getMaxOccurs()` Gets the "maxOccurs" attribute
    `BigInteger` | `getMinOccurs()` Gets the "minOccurs" attribute
    `String` | `getName()` Gets the "name" attribute
    `boolean` | `getNillable()` Gets the "nillable" attribute
    `QName` | `getRef()` Gets the "ref" attribute
    `LocalSimpleType` | `getSimpleType()` Gets the "simpleType" element
    `QName` | `getSubstitutionGroup()` Gets the "substitutionGroup" attribute
    `QName` | `getType()` Gets the "type" attribute
    `Keybase[]` | `getUniqueArray()` Gets array of all "unique" elements
    `Keybase` | `getUniqueArray(int i)` Gets ith "unique" element
    `List<Keybase>` | `getUniqueList()` Gets a List of "unique" elements
    `Keybase` | `insertNewKey(int i)` Inserts and returns a new empty value (as xml) as the ith "key" element
    `KeyrefDocument.Keyref` | `insertNewKeyref(int i)` Inserts and returns a new empty value (as xml) as the ith "keyref" element
    `Keybase` | `insertNewUnique(int i)` Inserts and returns a new empty value (as xml) as the ith "unique" element
    `boolean` | `isSetAbstract()` True if has "abstract" attribute
    `boolean` | `isSetBlock()` True if has "block" attribute
    `boolean` | `isSetComplexType()` True if has "complexType" element
    `boolean` | `isSetDefault()` True if has "default" attribute
    `boolean` | `isSetFinal()` True if has "final" attribute
    `boolean` | `isSetFixed()` True if has "fixed" attribute
    `boolean` | `isSetForm()` True if has "form" attribute
    `boolean` | `isSetMaxOccurs()` True if has "maxOccurs" attribute
    `boolean` | `isSetMinOccurs()` True if has "minOccurs" attribute
    `boolean` | `isSetName()` True if has "name" attribute
    `boolean` | `isSetNillable()` True if has "nillable" attribute
    `boolean` | `isSetRef()` True if has "ref" attribute
    `boolean` | `isSetSimpleType()` True if has "simpleType" element
    `boolean` | `isSetSubstitutionGroup()` True if has "substitutionGroup" attribute
    `boolean` | `isSetType()` True if has "type" attribute
    `void` | `removeKey(int i)` Removes the ith "key" element
    `void` | `removeKeyref(int i)` Removes the ith "keyref" element
    `void` | `removeUnique(int i)` Removes the ith "unique" element
    `void` | `setAbstract(boolean xabstract)` Sets the "abstract" attribute
    `void` | `setBlock(Object block)` Sets the "block" attribute
    `void` | `setComplexType(LocalComplexType complexType)` Sets the "complexType" element
    `void` | `setDefault(String xdefault)` Sets the "default" attribute
    `void` | `setFinal(Object xfinal)` Sets the "final" attribute
    `void` | `setFixed(String fixed)` Sets the "fixed" attribute
    `void` | `setForm(FormChoice.Enum form)` Sets the "form" attribute
    `void` | `setKeyArray(int i, Keybase key)` Sets ith "key" element
    `void` | `setKeyArray(Keybase[] keyArray)` Sets array of all "key" element
    `void` | `setKeyrefArray(int i, KeyrefDocument.Keyref keyref)` Sets ith "keyref" element
    `void` | `setKeyrefArray(KeyrefDocument.Keyref[] keyrefArray)` Sets array of all "keyref" element
    `void` | `setMaxOccurs(Object maxOccurs)` Sets the "maxOccurs" attribute
    `void` | `setMinOccurs(BigInteger minOccurs)` Sets the "minOccurs" attribute
    `void` | `setName(String name)` Sets the "name" attribute
    `void` | `setNillable(boolean nillable)` Sets the "nillable" attribute
    `void` | `setRef(QName ref)` Sets the "ref" attribute
    `void` | `setSimpleType(LocalSimpleType simpleType)` Sets the "simpleType" element
    `void` | `setSubstitutionGroup(QName substitutionGroup)` Sets the "substitutionGroup" attribute
    `void` | `setType(QName type)` Sets the "type" attribute
    `void` | `setUniqueArray(int i, Keybase unique)` Sets ith "unique" element
    `void` | `setUniqueArray(Keybase[] uniqueArray)` Sets array of all "unique" element
    `int` | `sizeOfKeyArray()` Returns number of "key" element
    `int` | `sizeOfKeyrefArray()` Returns number of "keyref" element
    `int` | `sizeOfUniqueArray()` Returns number of "unique" element
    `void` | `unsetAbstract()` Unsets the "abstract" attribute
    `void` | `unsetBlock()` Unsets the "block" attribute
    `void` | `unsetComplexType()` Unsets the "complexType" element
    `void` | `unsetDefault()` Unsets the "default" attribute
    `void` | `unsetFinal()` Unsets the "final" attribute
    `void` | `unsetFixed()` Unsets the "fixed" attribute
    `void` | `unsetForm()` Unsets the "form" attribute
    `void` | `unsetMaxOccurs()` Unsets the "maxOccurs" attribute
    `void` | `unsetMinOccurs()` Unsets the "minOccurs" attribute
    `void` | `unsetName()` Unsets the "name" attribute
    `void` | `unsetNillable()` Unsets the "nillable" attribute
    `void` | `unsetRef()` Unsets the "ref" attribute
    `void` | `unsetSimpleType()` Unsets the "simpleType" element
    `void` | `unsetSubstitutionGroup()` Unsets the "substitutionGroup" attribute
    `void` | `unsetType()` Unsets the "type" attribute
    `XmlBoolean` | `xgetAbstract()` Gets (as xml) the "abstract" attribute
    `BlockSet` | `xgetBlock()` Gets (as xml) the "block" attribute
    `XmlString` | `xgetDefault()` Gets (as xml) the "default" attribute
    `DerivationSet` | `xgetFinal()` Gets (as xml) the "final" attribute
    `XmlString` | `xgetFixed()` Gets (as xml) the "fixed" attribute
    `FormChoice` | `xgetForm()` Gets (as xml) the "form" attribute
    `AllNNI` | `xgetMaxOccurs()` Gets (as xml) the "maxOccurs" attribute
    `XmlNonNegativeInteger` | `xgetMinOccurs()` Gets (as xml) the "minOccurs" attribute
    `XmlNCName` | `xgetName()` Gets (as xml) the "name" attribute
    `XmlBoolean` | `xgetNillable()` Gets (as xml) the "nillable" attribute
    `XmlQName` | `xgetRef()` Gets (as xml) the "ref" attribute
    `XmlQName` | `xgetSubstitutionGroup()` Gets (as xml) the "substitutionGroup" attribute
    `XmlQName` | `xgetType()` Gets (as xml) the "type" attribute
    `void` | `xsetAbstract(XmlBoolean xabstract)` Sets (as xml) the "abstract" attribute
    `void` | `xsetBlock(BlockSet block)` Sets (as xml) the "block" attribute
    `void` | `xsetDefault(XmlString xdefault)` Sets (as xml) the "default" attribute
    `void` | `xsetFinal(DerivationSet xfinal)` Sets (as xml) the "final" attribute
    `void` | `xsetFixed(XmlString fixed)` Sets (as xml) the "fixed" attribute
    `void` | `xsetForm(FormChoice form)` Sets (as xml) the "form" attribute
    `void` | `xsetMaxOccurs(AllNNI maxOccurs)` Sets (as xml) the "maxOccurs" attribute
    `void` | `xsetMinOccurs(XmlNonNegativeInteger minOccurs)` Sets (as xml) the "minOccurs" attribute
    `void` | `xsetName(XmlNCName name)` Sets (as xml) the "name" attribute
    `void` | `xsetNillable(XmlBoolean nillable)` Sets (as xml) the "nillable" attribute
    `void` | `xsetRef(XmlQName ref)` Sets (as xml) the "ref" attribute
    `void` | `xsetSubstitutionGroup(XmlQName substitutionGroup)` Sets (as xml) the "substitutionGroup" attribute
    `void` | `xsetType(XmlQName type)` Sets (as xml) the "type" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final AbstractDocumentFactory<Element> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getSimpleType

          LocalSimpleType getSimpleType()

      Gets the "simpleType" element

    - #### isSetSimpleType

          boolean isSetSimpleType()

      True if has "simpleType" element

    - #### setSimpleType

          void setSimpleType(LocalSimpleType simpleType)

      Sets the "simpleType" element

    - #### addNewSimpleType

          LocalSimpleType addNewSimpleType()

      Appends and returns a new empty "simpleType" element

    - #### unsetSimpleType

          void unsetSimpleType()

      Unsets the "simpleType" element

    - #### getComplexType

          LocalComplexType getComplexType()

      Gets the "complexType" element

    - #### isSetComplexType

          boolean isSetComplexType()

      True if has "complexType" element

    - #### setComplexType

          void setComplexType(LocalComplexType complexType)

      Sets the "complexType" element

    - #### addNewComplexType

          LocalComplexType addNewComplexType()

      Appends and returns a new empty "complexType" element

    - #### unsetComplexType

          void unsetComplexType()

      Unsets the "complexType" element

    - #### getUniqueList

          List<Keybase> getUniqueList()

      Gets a List of "unique" elements

    - #### getUniqueArray

          Keybase[] getUniqueArray()

      Gets array of all "unique" elements

    - #### getUniqueArray

          Keybase getUniqueArray(int i)

      Gets ith "unique" element

    - #### sizeOfUniqueArray

          int sizeOfUniqueArray()

      Returns number of "unique" element

    - #### setUniqueArray

          void setUniqueArray(Keybase[] uniqueArray)

      Sets array of all "unique" element

    - #### setUniqueArray

          void setUniqueArray(int i,
                              Keybase unique)

      Sets ith "unique" element

    - #### insertNewUnique

          Keybase insertNewUnique(int i)

      Inserts and returns a new empty value (as xml) as the ith "unique" element

    - #### addNewUnique

          Keybase addNewUnique()

      Appends and returns a new empty value (as xml) as the last "unique" element

    - #### removeUnique

          void removeUnique(int i)

      Removes the ith "unique" element

    - #### getKeyList

          List<Keybase> getKeyList()

      Gets a List of "key" elements

    - #### getKeyArray

          Keybase[] getKeyArray()

      Gets array of all "key" elements

    - #### getKeyArray

          Keybase getKeyArray(int i)

      Gets ith "key" element

    - #### sizeOfKeyArray

          int sizeOfKeyArray()

      Returns number of "key" element

    - #### setKeyArray

          void setKeyArray(Keybase[] keyArray)

      Sets array of all "key" element

    - #### setKeyArray

          void setKeyArray(int i,
                           Keybase key)

      Sets ith "key" element

    - #### insertNewKey

          Keybase insertNewKey(int i)

      Inserts and returns a new empty value (as xml) as the ith "key" element

    - #### addNewKey

          Keybase addNewKey()

      Appends and returns a new empty value (as xml) as the last "key" element

    - #### removeKey

          void removeKey(int i)

      Removes the ith "key" element

    - #### getKeyrefList

          List<KeyrefDocument.Keyref> getKeyrefList()

      Gets a List of "keyref" elements

    - #### getKeyrefArray

          KeyrefDocument.Keyref[] getKeyrefArray()

      Gets array of all "keyref" elements

    - #### getKeyrefArray

          KeyrefDocument.Keyref getKeyrefArray(int i)

      Gets ith "keyref" element

    - #### sizeOfKeyrefArray

          int sizeOfKeyrefArray()

      Returns number of "keyref" element

    - #### setKeyrefArray

          void setKeyrefArray(KeyrefDocument.Keyref[] keyrefArray)

      Sets array of all "keyref" element

    - #### setKeyrefArray

          void setKeyrefArray(int i,
                              KeyrefDocument.Keyref keyref)

      Sets ith "keyref" element

    - #### insertNewKeyref

          KeyrefDocument.Keyref insertNewKeyref(int i)

      Inserts and returns a new empty value (as xml) as the ith "keyref" element

    - #### addNewKeyref

          KeyrefDocument.Keyref addNewKeyref()

      Appends and returns a new empty value (as xml) as the last "keyref" element

    - #### removeKeyref

          void removeKeyref(int i)

      Removes the ith "keyref" element

    - #### getName

          String getName()

      Gets the "name" attribute

    - #### xgetName

          XmlNCName xgetName()

      Gets (as xml) the "name" attribute

    - #### isSetName

          boolean isSetName()

      True if has "name" attribute

    - #### setName

          void setName(String name)

      Sets the "name" attribute

    - #### xsetName

          void xsetName(XmlNCName name)

      Sets (as xml) the "name" attribute

    - #### unsetName

          void unsetName()

      Unsets the "name" attribute

    - #### getRef

          QName getRef()

      Gets the "ref" attribute

    - #### xgetRef

          XmlQName xgetRef()

      Gets (as xml) the "ref" attribute

    - #### isSetRef

          boolean isSetRef()

      True if has "ref" attribute

    - #### setRef

          void setRef(QName ref)

      Sets the "ref" attribute

    - #### xsetRef

          void xsetRef(XmlQName ref)

      Sets (as xml) the "ref" attribute

    - #### unsetRef

          void unsetRef()

      Unsets the "ref" attribute

    - #### getType

          QName getType()

      Gets the "type" attribute

    - #### xgetType

          XmlQName xgetType()

      Gets (as xml) the "type" attribute

    - #### isSetType

          boolean isSetType()

      True if has "type" attribute

    - #### setType

          void setType(QName type)

      Sets the "type" attribute

    - #### xsetType

          void xsetType(XmlQName type)

      Sets (as xml) the "type" attribute

    - #### unsetType

          void unsetType()

      Unsets the "type" attribute

    - #### getSubstitutionGroup

          QName getSubstitutionGroup()

      Gets the "substitutionGroup" attribute

    - #### xgetSubstitutionGroup

          XmlQName xgetSubstitutionGroup()

      Gets (as xml) the "substitutionGroup" attribute

    - #### isSetSubstitutionGroup

          boolean isSetSubstitutionGroup()

      True if has "substitutionGroup" attribute

    - #### setSubstitutionGroup

          void setSubstitutionGroup(QName substitutionGroup)

      Sets the "substitutionGroup" attribute

    - #### xsetSubstitutionGroup

          void xsetSubstitutionGroup(XmlQName substitutionGroup)

      Sets (as xml) the "substitutionGroup" attribute

    - #### unsetSubstitutionGroup

          void unsetSubstitutionGroup()

      Unsets the "substitutionGroup" attribute

    - #### getMinOccurs

          BigInteger getMinOccurs()

      Gets the "minOccurs" attribute

    - #### xgetMinOccurs

          XmlNonNegativeInteger xgetMinOccurs()

      Gets (as xml) the "minOccurs" attribute

    - #### isSetMinOccurs

          boolean isSetMinOccurs()

      True if has "minOccurs" attribute

    - #### setMinOccurs

          void setMinOccurs(BigInteger minOccurs)

      Sets the "minOccurs" attribute

    - #### xsetMinOccurs

          void xsetMinOccurs(XmlNonNegativeInteger minOccurs)

      Sets (as xml) the "minOccurs" attribute

    - #### unsetMinOccurs

          void unsetMinOccurs()

      Unsets the "minOccurs" attribute

    - #### getMaxOccurs

          Object getMaxOccurs()

      Gets the "maxOccurs" attribute

    - #### xgetMaxOccurs

          AllNNI xgetMaxOccurs()

      Gets (as xml) the "maxOccurs" attribute

    - #### isSetMaxOccurs

          boolean isSetMaxOccurs()

      True if has "maxOccurs" attribute

    - #### setMaxOccurs

          void setMaxOccurs(Object maxOccurs)

      Sets the "maxOccurs" attribute

    - #### xsetMaxOccurs

          void xsetMaxOccurs(AllNNI maxOccurs)

      Sets (as xml) the "maxOccurs" attribute

    - #### unsetMaxOccurs

          void unsetMaxOccurs()

      Unsets the "maxOccurs" attribute

    - #### getDefault

          String getDefault()

      Gets the "default" attribute

    - #### xgetDefault

          XmlString xgetDefault()

      Gets (as xml) the "default" attribute

    - #### isSetDefault

          boolean isSetDefault()

      True if has "default" attribute

    - #### setDefault

          void setDefault(String xdefault)

      Sets the "default" attribute

    - #### xsetDefault

          void xsetDefault(XmlString xdefault)

      Sets (as xml) the "default" attribute

    - #### unsetDefault

          void unsetDefault()

      Unsets the "default" attribute

    - #### getFixed

          String getFixed()

      Gets the "fixed" attribute

    - #### xgetFixed

          XmlString xgetFixed()

      Gets (as xml) the "fixed" attribute

    - #### isSetFixed

          boolean isSetFixed()

      True if has "fixed" attribute

    - #### setFixed

          void setFixed(String fixed)

      Sets the "fixed" attribute

    - #### xsetFixed

          void xsetFixed(XmlString fixed)

      Sets (as xml) the "fixed" attribute

    - #### unsetFixed

          void unsetFixed()

      Unsets the "fixed" attribute

    - #### getNillable

          boolean getNillable()

      Gets the "nillable" attribute

    - #### xgetNillable

          XmlBoolean xgetNillable()

      Gets (as xml) the "nillable" attribute

    - #### isSetNillable

          boolean isSetNillable()

      True if has "nillable" attribute

    - #### setNillable

          void setNillable(boolean nillable)

      Sets the "nillable" attribute

    - #### xsetNillable

          void xsetNillable(XmlBoolean nillable)

      Sets (as xml) the "nillable" attribute

    - #### unsetNillable

          void unsetNillable()

      Unsets the "nillable" attribute

    - #### getAbstract

          boolean getAbstract()

      Gets the "abstract" attribute

    - #### xgetAbstract

          XmlBoolean xgetAbstract()

      Gets (as xml) the "abstract" attribute

    - #### isSetAbstract

          boolean isSetAbstract()

      True if has "abstract" attribute

    - #### setAbstract

          void setAbstract(boolean xabstract)

      Sets the "abstract" attribute

    - #### xsetAbstract

          void xsetAbstract(XmlBoolean xabstract)

      Sets (as xml) the "abstract" attribute

    - #### unsetAbstract

          void unsetAbstract()

      Unsets the "abstract" attribute

    - #### getFinal

          Object getFinal()

      Gets the "final" attribute

    - #### xgetFinal

          DerivationSet xgetFinal()

      Gets (as xml) the "final" attribute

    - #### isSetFinal

          boolean isSetFinal()

      True if has "final" attribute

    - #### setFinal

          void setFinal(Object xfinal)

      Sets the "final" attribute

    - #### xsetFinal

          void xsetFinal(DerivationSet xfinal)

      Sets (as xml) the "final" attribute

    - #### unsetFinal

          void unsetFinal()

      Unsets the "final" attribute

    - #### getBlock

          Object getBlock()

      Gets the "block" attribute

    - #### xgetBlock

          BlockSet xgetBlock()

      Gets (as xml) the "block" attribute

    - #### isSetBlock

          boolean isSetBlock()

      True if has "block" attribute

    - #### setBlock

          void setBlock(Object block)

      Sets the "block" attribute

    - #### xsetBlock

          void xsetBlock(BlockSet block)

      Sets (as xml) the "block" attribute

    - #### unsetBlock

          void unsetBlock()

      Unsets the "block" attribute

    - #### getForm

          FormChoice.Enum getForm()

      Gets the "form" attribute

    - #### xgetForm

          FormChoice xgetForm()

      Gets (as xml) the "form" attribute

    - #### isSetForm

          boolean isSetForm()

      True if has "form" attribute

    - #### setForm

          void setForm(FormChoice.Enum form)

      Sets the "form" attribute

    - #### xsetForm

          void xsetForm(FormChoice form)

      Sets (as xml) the "form" attribute

    - #### unsetForm

          void unsetForm()

      Unsets the "form" attribute